<div *ngIf="showPopUp && !triplets" id="network-popUp">
  {{operation}} <br>
  <table style="margin:auto;">
      <tr>
        <td>ID </td>
        <td><input [(ngModel)]="new_id" required/></td>
      </tr>
      <tr>
          <td>Label </td>
          <td><input [(ngModel)]="new_label" required /></td>
      </tr>
  </table>
  <button (click)="saveData(new_id, new_label)"> Save </button>
  <button *ngIf="operation=='Add Node'" (click)="clearPopUp()"> Cancel </button>
  <button *ngIf="operation=='Edit Node'" (click)="cancelEdit()"> Cancel </button>
</div>

<div *ngIf="showPopUp && triplets" id="network-popUp">
  {{operation}} <br>
  <table style="margin:auto;">
      <tr>
        <td>ID subject </td>
        <td><input [(ngModel)]="id_subject" required/></td>
      </tr>
      <tr>
          <td>Label subject </td>
          <td><input [(ngModel)]="label_subject" required /></td>
      </tr>
      <tr>
        <td>ID object </td>
        <td><input [(ngModel)]="id_object" required/></td>
      </tr>
      <tr>
          <td>Label object </td>
          <td><input [(ngModel)]="label_object" required /></td>
      </tr>
      <tr>
          <td>Label predicate </td>
          <td><input [(ngModel)]="label_predicate" required /></td>
      </tr>
  </table>
  <button (click)="saveDataTriplets(id_subject, label_subject, id_object, label_object, label_predicate)"> Save </button>
  <button *ngIf="operation=='Add Node'" (click)="clearPopUp()"> Cancel </button>
  <button *ngIf="operation=='Edit Node'" (click)="cancelEdit()"> Cancel </button>
</div>